#
# spec file for package xli
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xli
Version:        1.17+git20170726.0bb4fb4
Release:        1.54
Summary:        X11 Image Loading Utility
License:        MIT
Group:          System/X11/Utilities
Url:            https://github.com/openSUSE/xli
Source:         %{name}-%{version}.tar.xz
BuildRequires:  imake
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
Provides:       xli115
Provides:       xloadimage = %{version}

%description
xli is a version of xloadimage.

This utility will view several types of images under X11, or load
images onto the X11 root window.

%prep
%setup -q

%build
xmkmf -a
make %{?_smp_mflags} all CCOPTIONS="%{optflags}"

%install
%make_install install.man
ln -s xli %{buildroot}%{_bindir}/xloadimage
ln -s xli.1x %{buildroot}%{_mandir}/man1/xloadimage.1x

%files
%doc README* ABOUTGAMMA LICENSE
%{_mandir}/man1/xli.1x%{ext_man}
%{_mandir}/man1/xlito.1x%{ext_man}
%{_mandir}/man1/xloadimage.1x%{ext_man}
%{_bindir}/xli
%{_bindir}/xlito
%{_bindir}/xloadimage
%{_bindir}/xsetbg
%{_bindir}/xview
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Xli

%changelog
* Wed Jul 26 2017 tchvatal@suse.com
- Drop patches merged in the git repo:
  * xli-1.17.0-8bit_palette.patch
  * xli-1.17.0-configfile.patch
  * xli-1.17.0-overflow.patch
  * xli-1.17.0.patch
  * xli-png-alpha.patch
  * xli-png_check_sig.patch
- Update to version 1.17+git20170726.0bb4fb4:
  * Respect destdir during install
  * Symlink with relative path in makefile
  * Add support for 8bit pallete
  * Make xli handle arrow keys to move image
  * Add temp files and patches to gitignore
  * Implement zoom functionality
  * Adds support for the special "None" colour in XPMs
  * Document zooming control
  * Add a -forall option
  * A bug with all merging
  * Do not read past buffer end
* Wed Jul 26 2017 tchvatal@suse.com
- Allow xli to load up on alpha backgrounded png, if there would be
  upstream this should be upstreamed:
  * xli-png-alpha.patch
- Cleanup a bit with spec-cleaner
* Mon Nov  3 2014 crrodriguez@opensuse.org
- Switch to individual pkgconfig() build requires
  instead of using metapackage xorg-x11-devel
* Sat May  1 2010 prusnak@suse.cz
- provide also xloadimage
- cleanup specfile
* Sun Apr  4 2010 ro@suse.de
- fix build with libpng14
* Fri Apr 13 2007 lmichnovic@suse.cz
- update to new snapshot 2006/11/10
  * fixing a crash on PGM/PPM images with a maxval > 255,
    and various warnings about uninitialized variables.
* Fri Feb  9 2007 aj@suse.de
- Add defattr.
* Thu Jul 27 2006 lmichnovic@suse.cz
- building with X.org 7.x: detects version of X.org instead of
  suse_version
* Sat Jul 22 2006 lmichnovic@suse.cz
- create config file in /usr/lib/X11/Xli as sugested in man page
  (configfile.patch)
- now builds also with new X.org 7.x
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 lmichnovic@suse.cz
- added -fstack-protector into CCOPTIONS in specfile
* Fri Oct 14 2005 lmichnovic@suse.cz
- fixed buffer overflow which can be misused to execute arbitrary code (#121922)
- added support 8bit color images with palette.
* Thu Sep  8 2005 ltinkl@suse.cz
- update to snapshot 2005-09-04 which incorporates fixes for
  the previous security bug (#66139) and fullscreen handling
  (#115258)
* Fri Jun 10 2005 meissner@suse.de
- use RPM_OPT_FLAGS
* Wed Apr 20 2005 ltinkl@suse.de
- fix buffer overflow (#66139)
* Thu Jul  1 2004 bg@suse.de
- fix Imakefile for hppa
* Tue Feb 24 2004 schwab@suse.de
- Fix bad unsigned division [#25778].
* Wed Jun  4 2003 mjancar@suse.cz
- added URL
* Wed Nov 13 2002 jderfina@suse.cz
- fixed "GCC no longer implements <varargs.h>." error.
* Thu Sep 26 2002 max@suse.de
- New version 1.17.0.
- Now supports PNG and progressive JPEG.
* Tue Sep  4 2001 nadvornik@suse.cz
- fixed copyright tag
- removed Provides: xli
* Fri Jul 20 2001 nadvornik@suse.cz
- fixed possible buffer overflow
* Fri Apr 13 2001 schwab@suse.de
- Fix missing declarations.
- Fix unaligned access.
* Fri May 12 2000 nadvornik@suse.cz
- added BuildRoot
- removed Makefile.Linux
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jun  9 1997 fehr@suse.de
- make all smlinks relative
